import { AfterViewInit, ElementRef, OnInit } from "@angular/core";
import { StiBarcodeElement } from "../../elements/StiBarcodeElement";
import { StiModelService } from "../../services/model.service";
import * as i0 from "@angular/core";
export declare class StiBarcodeComponent implements OnInit, AfterViewInit {
    model: StiModelService;
    element: StiBarcodeElement;
    isClone: boolean;
    ref: ElementRef;
    get align(): string;
    get barcode(): string;
    get barcodeHeight(): number;
    get barcodeWidth(): number;
    constructor(model: StiModelService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiBarcodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiBarcodeComponent, "sti-barcode-component", never, { "element": { "alias": "element"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
